Subject: bug#46779: GnuTLS uses the hard-coded /etc/ssl/certs location for TLS certificates

From: Ludovic Courtès <[email-masked]>
Date: Mon, 01 Mar 2021 10:54:55 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> We should patch GnuTLS so that it also honors the SSL_* environment
> variables documented in the Guix manual.

Note that (1) the SSL_* variables are originally from OpenSSL, and (2)
GnuTLS developers made the conscious decision to not honor any
environment variable, leaving it up to application developers to do
that.

That’s the reason we are in this situation.  See the thread at
<https://lists.gnu.org/archive/html/guix-devel/2014-02/msg00237.html>.

Now, I agree it’s inconvenient for those applications that don’t do
anything.  Perhaps we should check if it’s reasonable to report it
upstream when we encounter such issues, or if there’s just too many of
them?

Thanks,
Ludo’.